Some algorithms that could support geometryless layer do not
2018-08-24 03:34 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 27510
Description

Browsing the algorithms input layer parameter, | realized that there are some algorithms that could support table as input but do not:

- the Extract (by attributes/by expression/selected features) do not allow table while it's possible with their corresponding "select by..." algs
- the Export to database algs

- the "Basic statistics for fields" while the "statistics by categories" allows it

- some of the "vector table" algorithms: "Add unique value index field", "Advanced Python Field calculator"

Associated revisions

Revision 83feead6 - 2018-08-25 07:41 AM - Nyall Dawson

[processing] Accept geometry-less layers in more algorithms

Fixes #19685

Revision 9d07a8f9 - 2018-08-27 04:34 AM - Nyall Dawson

[processing] Accept geometry-less layers in more algorithms

Fixes #19685

(cherry picked from commit 83feea46a72374b9faa1d40a902fcec8b1c5c1d4)

History

#1 - 2018-08-25 07:40 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|83feea46a72374b9faald40a902fcec8b1c5c1d4.

#2 - 2018-08-25 03:20 PM - Giovanni Manghi
- Resolution set to fixed/implemented
